Summary:	Trap extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia Trap
Name:		xorg-proto-trapproto
Version:	3.4.3
Release:	3
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/trapproto-%{version}.tar.bz2
# Source0-md5:	3b713239e5e6b269b31cb665563358df
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Trap extension headers.

%description -l pl.UTF-8
Pliki nagłówkowe rozszerzenia Trap.

%package devel
Summary:	Trap extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia Trap
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel
Requires:	xorg-lib-libXt-devel

%description devel
Trap extension headers.

%description devel -l pl.UTF-8
Pliki nagłówkowe rozszerzenia Trap.

%prep
%setup -q -n trapproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%{_includedir}/X11/extensions/xtrap*.h
%{_pkgconfigdir}/trapproto.pc
%changelog
* Fri May 31 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-proto-trapproto.git;a=log;h=master

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 14f21d8
- release 3 (by relup.sh)

* Sat Jan 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 9f53223
- proper descriptions (Trap is an extension)
- R: xorg-lib-libXt-devel (as specified in trapproto.pc, for <X11/Intrinsic.h>)

* Sat Jan 05 2013 Jakub Bogusz <qboosh@pld-linux.org> db0f56b
- restored

* Sat Oct 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b31352
- obsolete

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 55ae81e
- individual url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 93eef35
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 70bd37e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cc32d5f
- converted to UTF-8

* Fri Feb 03 2006 Paweł Sikora <pluto@pld-linux.org> 92d69ff
- release 1.

* Fri Dec 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 0f35f19
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> f5d1600
- 3.4.3 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 712ef6f
- 3.4.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 464f569
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 7262f83
- BR: autoconf >= 2.57

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> dff1bfd
- 3.4.1 (X11R7.0-RC1)

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> e7a3a97
- kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 951f476
- s/pkg-config/pkgconfig/ in BR:

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 4a96988
- cleanups

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> efaa5f8
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

